| PST SDK 6.0.0.0-272350a

Public Member Functions | Public Attributes | List of all members
pstech.pstsdk.target.TargetStatus Class Reference

Tracking target status. More...

Inheritance diagram for pstech.pstsdk.target.TargetStatus:
[legend]
Collaboration diagram for pstech.pstsdk.target.TargetStatus:
[legend]

## Public Member Functions
def | __init__ (self, c_status)
def | __eq__ (self, other)
Public Member Functions inherited from pstech.pstsdk.target.Target
def | __init__ (self, c_target)
def | __eq__ (self, other)

## Public Attributes
| status
| Status of the tracking target (active or inactive) as listed in the PST-Client software. More...
Public Attributes inherited from pstech.pstsdk.target.Target
| name
| User given name of the tracking target as listed in the PST-Client software. More...
| uuid
| Unique identifier, automatically assigned to the tracking target. More...
| id
| User provided tracking id assigned to the tacking target as listed in the PST-Client software. More...

## Detailed Description

Tracking target status.

This class provides status information about a tracking target. The status is either true (active), in which case the object will be tracked when seen by the PST Tracker, or false (inactive), in which case it will not be tracked by the PST Tracker.

See also
  target.Target
  tracker.Tracker.get_target_list
  tracker.Tracker.set_target_status
  tracker.Tracker.get_target_status

## Constructor & Destructor Documentation

## ◆ __init__()

def pstech.pstsdk.target.TargetStatus.__init__ | ( |  | self,
|  |  | c_status
| ) |  |

## Member Function Documentation

## ◆ __eq__()

def pstech.pstsdk.target.TargetStatus.__eq__ | ( |  | self,
|  |  | other
| ) |  |

## Member Data Documentation

## ◆ status

pstech.pstsdk.target.TargetStatus.status

Status of the tracking target (active or inactive) as listed in the PST-Client software.

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/python/pstech/pstsdk/target.py